/*
Theme Name: GrowthForge
Theme URI: https://example.com/growthforge
Description: A clean, Elementor-friendly child theme for Hello Elementor.
Author: GrowthForge
Author URI: https://example.com
Template: hello-elementor
Version: 1.0.1
Text Domain: growthforge
*/

/* Custom styles */


.header {
  border-bottom: 2px solid transparent !important;
  box-sizing: border-box !important;
  transition: border-color 0.3s ease, background-color 0.3s ease !important; 
}

.header.elementor-sticky--effects {
  border-bottom: 1px solid #ffffff17 !important; 
}


.hero-section  .text-primary {
  color: oklch(54.5% .222 18);
}



/* Chirt */

.stats-card {
  background-color: #0b101d;
  border-radius: 16px;
  padding: 24px;
  max-width: 100%;
  font-family: sans-serif;
  color: #ffffff;
  box-sizing: border-box;
}

.stats-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 20px;
}

.stats-title {
  color: #94a3b8;
  font-size: 14px;
  font-weight: 500;
}

.stats-value {
  color: #ffffff;
  font-size: 16px;
  font-weight: 700;
}

.stats-chart {
  width: 100%;
  height: 120px;
  margin-bottom: 12px;
}

.stats-chart svg {
  width: 100%;
  height: 100%;
}

.stats-footer {
  display: flex;
  justify-content: space-between;
  color: #64748b;
  font-size: 12px;
  font-weight: 500;
}


/* Traffic card */
.traffic-box:hover, .top-animated-box:hover {
  transform: translateY(-3px);
  box-shadow: 0 4px 24px rgba(0, 0, 0, 0.08);
}
.top-animated-box:hover .traffic-box-icon.traffic-box-icon {
  border-color: #d2003b !important;
}
.traffic-box:hover .traffic-box-icon svg path {
  fill: #ffffff !important;
}

.process-card .divider .elementor-divider span {
	transition: all 0.3s ease;
}

.process-card:hover .divider .elementor-divider span {
	background: #9e002a !important;
}

/* button */
.btn-hover-icon span svg {
	transition: all 0.3s ease;
}
.btn-hover-icon:hover span svg {
	transform: translateX(3px);
}


/* Archive Pagination */

.elementor-pagination {
  margin-top: 32px;
  display: flex;
  justify-content: center;
}
.elementor-pagination .page-numbers.page-numbers {
  background: #D2003B;
  width: 48px !important;
  height: 48px !important;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 14px;
  border: 1px solid #D2003B50;
  color: #fff;
}
.elementor-pagination .page-numbers.current {
  background: #D2003B10;
  border: none;
  color: #D2003B;
}

